GDB (xrefs)

Classes | Macros | Functions | Variables
/tmp/gdb-8.1/gdb/proc-flags.c File Reference
`#include "defs.h"`
`#include <sys/types.h>`
`#include <sys/procfs.h>`
`#include "proc-utils.h"`

Go to the source code of this file.

## Classes
struct | trans

## Macros
#define | _STRUCTURED_PROC 1

## Functions
void | proc_prettyfprint_flags (FILE *file, unsigned long flags, int verbose)
void | proc_prettyprint_flags (unsigned long flags, int verbose)

## Variables
static struct trans | pr_flag_table []

## Macro Definition Documentation

## ◆ _STRUCTURED_PROC

#define _STRUCTURED_PROC 1

Definition at line 30 of file proc-flags.c.

## Function Documentation

## ◆ proc_prettyfprint_flags()

void proc_prettyfprint_flags | ( | FILE * | file,
|  | unsigned long | flags,
|  | int | verbose
| ) |  |

Definition at line 94 of file proc-flags.c.

References trans::desc, flags, name, and pr_flag_table.

Referenced by proc_prettyfprint_status(), and proc_prettyprint_flags().

## ◆ proc_prettyprint_flags()

void proc_prettyprint_flags | ( | unsigned long | flags,
|  | int | verbose
| ) |  |

Definition at line 110 of file proc-flags.c.

References flags, and proc_prettyfprint_flags().

Referenced by procfs_info_proc(), and procfs_wait().

## Variable Documentation

## ◆ pr_flag_table

struct trans pr_flag_table[]
| static

Definition at line 51 of file proc-flags.c.

Referenced by proc_prettyfprint_flags().